<?php
/*
File: buttons.php
Description: Function buttons
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_buttons_function extends vcmegapack_buttons_class {
public function vcmegapack_buttons_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_button_type" => 'flat-button-mini', 
				"vcmp_button_text" => 'This is a button message',
				"vcmp_button_url" => '',
				"vcmp_button_target_url" => '_self',
				"vcmp_button_align" => 'vcmp-align-center',
				"vcmp_button_display" => 'block', 
				"vcmp_button_icon_show" => 'vcmp-icon-hidden',
				"vcmp_button_icon" => 'adtheme-icon-home',  
				"vcmp_button_font_type" => 'vcmp-font-default', 
				"vcmp_button_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_button_size" => 'off',
				"vcmp_button_text_color" => '#FC615D',
				"vcmp_button_over_color" => '#FC615D',
				"vcmp_button_background_color" => '#FC615D',
				"vcmp_button_border_color" => '#FC615D',
				"vcmp_button_border_type" => 'vcmp-border-square',
				"vcmp_button_border_style" => 'solid',  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);

	if($vcmp_button_font_type == 'vcmp-google-font') {

			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_button_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_button_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/

			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');	

	}

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmp-normalize' );
	wp_enqueue_style( 'vcmp-animations' );
	wp_enqueue_style( 'vcmp-fonts' );
	wp_enqueue_script( 'vcmp-appear-js' );
	wp_enqueue_script( 'vcmp-animate-js' );	
	wp_enqueue_style( 'vcmp-buttons' );	
	
	$return = '<style type="text/css">';
	if($vcmp_button_font_type == 'vcmp-google-font') {
		$return .=  '.vcmp-button.vcmp-button-'.$instance.' a {
								font-size:'.$vcmp_button_size.'; 
								font-family:'.$font_name_slip.';
								font-style:'.$font_style.';
								font-weight:'.$font_weight.';
						  }';	
	} else {
		$return .=  '.vcmp-button.vcmp-button-'.$instance.' a,
		 			 .vcmp-button.vcmp-button-'.$instance.' i {
								font-size:'.$vcmp_button_size.'; 
						  }';		
	}
	$return .= '.vcmp-button.vcmp-button-'.$instance.' {
					display:'.$vcmp_button_display.';
				}
				.vcmp-button.vcmp-button-'.$instance.' i {
					font-size:'.$vcmp_button_size.'; 
				}';
	if($vcmp_button_type == 'flat-button-mini' || $vcmp_button_type == 'flat-button-small' || $vcmp_button_type == 'flat-button-medium' || $vcmp_button_type == 'flat-button-large') {								
		$return .= '.vcmp-button.'.$vcmp_button_type.'.vcmp-button-'.$instance.' a {
						color:'.$vcmp_button_text_color.';
						background:'.$vcmp_button_background_color.';
						border-color:'.$vcmp_button_background_color.';
						border-style:'.$vcmp_button_border_style.';
					}
					.vcmp-button.'.$vcmp_button_type.'.vcmp-button-'.$instance.' a:hover {
						color:'.$vcmp_button_background_color.';
						background:'.$vcmp_button_text_color.';
						border-color:'.$vcmp_button_text_color.';					
					}
					';
	};
	if($vcmp_button_type == 'bg-none-button-mini' || $vcmp_button_type == 'bg-none-button-small' || $vcmp_button_type == 'bg-none-button-medium' || $vcmp_button_type == 'bg-none-button-large') {								
		$return .= '.vcmp-button.'.$vcmp_button_type.'.vcmp-button-'.$instance.' a {
						color:'.$vcmp_button_text_color.';
						border-color:'.$vcmp_button_text_color.';
						border-style:'.$vcmp_button_border_style.';
					}
					.vcmp-button.'.$vcmp_button_type.'.vcmp-button-'.$instance.' a:hover {
						color:'.$vcmp_button_over_color.';
						border-color:'.$vcmp_button_over_color.';					
					}
					';
	};
	if($vcmp_button_type == 'd-button-mini' || $vcmp_button_type == 'd-button-small' || $vcmp_button_type == 'd-button-medium' || $vcmp_button_type == 'd-button-large') {								
		
		if($vcmp_button_type == 'd-button-mini') { $shadow_size = '4'; }
		if($vcmp_button_type == 'd-button-small') { $shadow_size = '6'; }
		if($vcmp_button_type == 'd-button-medium') { $shadow_size = '8'; }
		if($vcmp_button_type == 'd-button-large') { $shadow_size = '10'; }
		
		
		$return .= '.vcmp-button.'.$vcmp_button_type.'.vcmp-button-'.$instance.' a {
						color:'.$vcmp_button_text_color.';
						background:'.$vcmp_button_background_color.';
						box-shadow: 0 '.$shadow_size.'px 0 '.$vcmp_button_border_color.';
					}
					.vcmp-button.'.$vcmp_button_type.'.vcmp-button-'.$instance.' a:hover {
						box-shadow: 0 2px 0 '.$vcmp_button_border_color.';					
					}
					';
	};			
	$return .= '</style>';
	
	$vcmp_inline_block = '';
	if($vcmp_button_display == 'inline-block') {
		$vcmp_inline_block .= 'vcmp-inline-block';
	}
	
		if($vcmp_animate == 'on') {
			$return .= '<span class="vcmp-button '.$vcmp_button_type.' '.$vcmp_inline_block.' '.$vcmp_button_border_type.' '.$vcmp_button_align.' vcmp-button-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
				$return .= '<a href="'.$vcmp_button_url.'" target="'.$vcmp_button_target_url.'">';
				
				if($vcmp_button_icon_show == 'vcmp-icon-show') { 
					$return	.= '<i class="'.$vcmp_button_icon.'"></i>';
				}			
					
				$return .= $vcmp_button_text . '</a>';
			$return .= '</span>';
		} else {
			$return .= '<span class="vcmp-button '.$vcmp_button_type.' '.$vcmp_inline_block.' '.$vcmp_button_border_type.' '.$vcmp_button_align.' vcmp-button-'.$instance.'">';
				$return .= '<a href="'.$vcmp_button_url.'" target="'.$vcmp_button_target_url.'">';
				
				if($vcmp_button_icon_show == 'vcmp-icon-show') {
					$return	.= '<i class="'.$vcmp_button_icon.'"></i>';
				}				
					
				$return .= $vcmp_button_text . '</a>';
			$return .= '</span>';	
		}
		return $return;
    } 
}
new vcmp_buttons_function();
?>