<?php
/*
File: countdown.php
Description: Function Countdown
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_countdown_function extends vcmegapack_countdown_class {
public function vcmegapack_countdown_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_countdown_year" => '',
				"vcmp_countdown_month" => '',
				"vcmp_countdown_day" => '',	
				"vcmp_countdown_type" => 'type1',
				"vcmp_countdown_style" => 'style1',
				"vcmp_countdown_style_active" => 'off',
				"vcmp_countdown_color" => '#FC615D',
				"vcmp_countdown_secondary_color" => '#FC615D',
				"vcmp_countdown_background_color" => '#FC615D',
				"vcmp_countdown_font_size" => '',
				"vcmp_countdown_padding" => '',
				"vcmp_countdown_margin" => '',			
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmp-normalize' );
	wp_enqueue_style( 'vcmp-animations' );
	wp_enqueue_style( 'vcmp-fonts' );
	wp_enqueue_script( 'vcmp-appear-js' );
	wp_enqueue_script( 'vcmp-animate-js' );	
	
	wp_enqueue_style( 'vcmp-countdown' );
	wp_enqueue_script( 'vcmp-countdown-js' );
		
		$return = '';
		
		if($vcmp_countdown_type == 'type1') {		
			$return = '<script type=\'text/javascript\'>
						jQuery(document).ready(function($){
							$(\'[data-countdown]\').each(function() {
								var $this = $(this), finalDate = $(this).data(\'countdown\');
								$this.countdown(finalDate, function(event) {
									$this.html(event.strftime(\'<span class="vcmp-day">%D days</span> <span class="vcmp-time">%H:%M:%S</span>\'));
								});
							});
						});	
					   </script>';			   
		}
		
		if($vcmp_countdown_type == 'type2') {
			$return = '<script type=\'text/javascript\'>
						jQuery(document).ready(function($){
							$(\'[data-countdown]\').each(function() {
								var $this = $(this), finalDate = $(this).data(\'countdown\');
								$this.countdown(finalDate, function(event) {
									$this.html(event.strftime(\'\'
										+ \'<span>%-w week%!w</span>\'
										+ \'<span>%-d day%!d</span>\'
										+ \'<span>%H hr</span>\'
										+ \'<span>%M min</span>\'
										+ \'<span>%S sec</span>\'));
								});
							});
						});	
					   </script>';
		}

		if($vcmp_countdown_type == 'type3') {
			$return = '<script type=\'text/javascript\'>
						jQuery(document).ready(function($){
							$(\'#clock-'.$instance.'\').countdown("'.$vcmp_countdown_year.'/'.$vcmp_countdown_month.'/'.$vcmp_countdown_day.'", function(event) {
							  var totalHours = event.offset.totalDays * 24 + event.offset.hours;
							  $(this).html(event.strftime(\'<span>\' + totalHours + \' hr</span> <span>%M min</span> <span>%S sec</span>\'));
							});
						});	
					   </script>';
		}
		
		if($vcmp_countdown_style_active == 'on') {
			if($vcmp_countdown_type == 'type1') {
				$return .= '<style type="text/css">';
				$return .= '.countdown-'.$instance.' .'.$vcmp_countdown_type.'.'.$vcmp_countdown_style.' { 
								font-size:'.$vcmp_countdown_font_size.'; 
								color:'.$vcmp_countdown_secondary_color.' 
							}'; 
				$return .= '.countdown-'.$instance.' .'.$vcmp_countdown_type.'.'.$vcmp_countdown_style.' .vcmp-day, 
							.countdown-'.$instance.' .'.$vcmp_countdown_type.'.'.$vcmp_countdown_style.' .vcmp-time {
								border-color:'.$vcmp_countdown_color.';	
								padding:'.$vcmp_countdown_padding.';
								background:'.$vcmp_countdown_background_color.';
								margin:'.$vcmp_countdown_margin.';								
							}';
				$return .= '</style>';		
			}
			if($vcmp_countdown_type == 'type2' || $vcmp_countdown_type == 'type3') {
				$return .= '<style type="text/css">';
				$return .= '.countdown-'.$instance.' .'.$vcmp_countdown_type.'.'.$vcmp_countdown_style.' { 
								font-size:'.$vcmp_countdown_font_size.'; 
								color:'.$vcmp_countdown_secondary_color.' 
							}'; 
				$return .= '.countdown-'.$instance.' .'.$vcmp_countdown_type.'.'.$vcmp_countdown_style.' span {
								border-color:'.$vcmp_countdown_color.';	
								padding:'.$vcmp_countdown_padding.';
								background:'.$vcmp_countdown_background_color.';
								margin:'.$vcmp_countdown_margin.';
							}';
				$return .= '</style>';		
			}		
		}
		
		if($vcmp_animate == 'on') {
			$return .=  '<div class="countdown-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';   
		} else {
			$return .= '<div class="countdown-'.$instance.'">';	
		}
		$return .= '<div id="clock-'.$instance.'" class="vcmp_clock '.$vcmp_countdown_type.' '.$vcmp_countdown_style.'" data-countdown="'.$vcmp_countdown_year.'/'.$vcmp_countdown_month.'/'.$vcmp_countdown_day.'"></div><div class="adclear"></div>';	
		$return .= '</div>';
		
			
		return $return;
    } 
}
new vcmp_countdown_function();
?>