<?php
/*
File: heading.php
Description: Function Heading
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_heading_function extends vcmegapack_heading_class {
public function vcmegapack_heading_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_heading_type" => 'normal',				
				"vcmp_heading_text" => 'This is custom heading element with Google Fonts',
				"vcmp_heading_font_type" => 'vcmp-font-default',
				"vcmp_heading_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_heading_size" => '',
				"vcmp_heading_align" => 'vcmp-align-center',
				"vcmp_heading_display" => 'block',
				"vcmp_heading_text_color" => '#FC615D',
				"vcmp_heading_line_color" => '#FC615D',
				"vcmp_heading_icon_color" => '#FC615D',
				"vcmp_heading_line_separator" => 'vcmp-line-separator-small',
				"vcmp_heading_icon_size" => '',
				"vcmp_heading_icon" => 'adtheme-icon-home', 
				"vcmp_heading_icon_position" => 'vcmp-icon-bottom',   
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	if($vcmp_heading_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_heading_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_heading_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
	}		
	
			$return = '<style type="text/css">';
	
			if($vcmp_heading_font_type == 'vcmp-google-font') {		
					$return .= '.'.$vcmp_heading_type.'.heading-'.$instance.' {						
									font-family:'.$font_name_slip.';
									font-style:'.$font_style.';
									font-weight:'.$font_weight.';
							  }';
			}
	
			$return .= '.'.$vcmp_heading_type.'.heading-'.$instance.' {
				font-size:'.$vcmp_heading_size.';
				color:'.$vcmp_heading_text_color.';
				display:'.$vcmp_heading_display.';
				margin:2px 0; 
			}';
	
			if($vcmp_heading_display == 'inline-block') {
				$return .= 	'.'.$vcmp_heading_type.'.heading-'.$instance.' {
					padding:0 5px;		
				}';
			}
	
			if($vcmp_heading_type == 'double-line-top' || 
			   $vcmp_heading_type == 'double-line-middle' || 
			   $vcmp_heading_type == 'double-line-bottom') {				  
				$return .= '.'.$vcmp_heading_type.'.heading-'.$instance.' span:before, 
							.'.$vcmp_heading_type.'.heading-'.$instance.' span:after {
									border-top-color:'.$vcmp_heading_line_color.';
									border-bottom-color:'.$vcmp_heading_line_color.';
							}';
			}
			
			if($vcmp_heading_type == 'line-top-bottom') {
				$return .= '.line-top-bottom.heading-'.$instance.' span {
					border-top-color:'.$vcmp_heading_line_color.';
					border-bottom-color:'.$vcmp_heading_line_color.';
				}';
			}

			if($vcmp_heading_type == 'dashed-bottom') {
				$return .= '.dashed-bottom.heading-'.$instance.' .vcmp-separator {
					background-color:'.$vcmp_heading_line_color.';
				}';
			}

			if($vcmp_heading_type == 'bottom-line-with-icon') {
				$return .= '.bottom-line-with-icon.heading-'.$instance.' span:before, 
							.bottom-line-with-icon.heading-'.$instance.' span:after {
								border-color:'.$vcmp_heading_line_color.';
							}
							.bottom-line-with-icon.heading-'.$instance.' i {
								color:'.$vcmp_heading_line_color.';
							}
							';
			}
			
			if($vcmp_heading_type == 'heading-with-icon') {
				
				$margin_left = explode("px",$vcmp_heading_icon_size);
				
				$return .= '.heading-with-icon.heading-'.$instance.' i {
								color:'.$vcmp_heading_icon_color.';								
							}
							.heading-with-icon.heading-'.$instance.' span i::before {
								font-size:'.$vcmp_heading_icon_size.'!important;
								margin-left:-'.($margin_left[0]/2).'px!important;
								line-height:'.$vcmp_heading_icon_size.'!important;
								width:'.$vcmp_heading_icon_size.'!important;
							}
							';
			}
					
			$return .= '</style>';
			
			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );	
			wp_enqueue_style( 'vcmp-heading' );		

			if($vcmp_animate == 'on') { // ANIMATION ON
				
				if($vcmp_heading_type == 'normal' || $vcmp_heading_type == 'line-top-bottom') {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' '.$vcmp_heading_align.' heading-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'"><span>'.$vcmp_heading_text.'</span></h2>';				
				
				} elseif($vcmp_heading_type == 'dashed-bottom') {
					$return .= '<h2 class="'.$vcmp_heading_type.' '.$vcmp_heading_align.' heading-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">
									<span>'.$vcmp_heading_text.'</span>
									<span class="vcmp-separator '.$vcmp_heading_line_separator.'"></span>
								</h2>';	
															
				} elseif($vcmp_heading_type == 'bottom-line-with-icon') {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' '.$vcmp_heading_align.' heading-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">
									<span>'.$vcmp_heading_text.'<i class="'.$vcmp_heading_icon.'"></i></span>
								</h2>';								
				
				} elseif($vcmp_heading_type == 'heading-with-icon') {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' '.$vcmp_heading_align.' '.$vcmp_heading_icon_position.' heading-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">
									<span>';
								if(	$vcmp_heading_icon_position == 'vcmp-icon-left' ) {
										$return .= '<i class="'.$vcmp_heading_icon.'"></i>';
								}
								
									$return .= $vcmp_heading_text;
									
								if($vcmp_heading_icon_position == 'vcmp-icon-right' || 
								   $vcmp_heading_icon_position == 'vcmp-icon-bottom') {
										$return .= '<i class="'.$vcmp_heading_icon.'"></i>';									
								}
					$return .= '</span></h2>';
													
				} else {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' heading-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'"><span>'.$vcmp_heading_text.'</span></h2>';				
				
				}
				
			} else { // ANIMATION OFF
				
				if($vcmp_heading_type == 'normal' || $vcmp_heading_type == 'line-top-bottom') {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' '.$vcmp_heading_align.' heading-'.$instance.'"><span>'.$vcmp_heading_text.'</span></h2>';									
				
				} elseif($vcmp_heading_type == 'dashed-bottom') {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' '.$vcmp_heading_align.' heading-'.$instance.'">
									<span>'.$vcmp_heading_text.'</span>
									<span class="vcmp-separator '.$vcmp_heading_line_separator.'"></span>
								</h2>';								
				
				} elseif($vcmp_heading_type == 'bottom-line-with-icon') {
					$return .= '<h2 class="'.$vcmp_heading_type.' '.$vcmp_heading_align.' heading-'.$instance.'">
									<span>'.$vcmp_heading_text.'<i class="'.$vcmp_heading_icon.'"></i></span>
								</h2>';								
				
				} elseif($vcmp_heading_type == 'heading-with-icon') {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' '.$vcmp_heading_align.' '.$vcmp_heading_icon_position.' heading-'.$instance.'">
									<span>';
								if(	$vcmp_heading_icon_position == 'vcmp-icon-left' ) {
										$return .= '<i class="'.$vcmp_heading_icon.'"></i>';
								}
								
									$return .= $vcmp_heading_text;
									
								if($vcmp_heading_icon_position == 'vcmp-icon-right' || 
								   $vcmp_heading_icon_position == 'vcmp-icon-bottom') {
										$return .= '<i class="'.$vcmp_heading_icon.'"></i>';									
								}
					$return .= '</span></h2>';
													
				} else {
					
					$return .= '<h2 class="vcmp-heading '.$vcmp_heading_type.' heading-'.$instance.'"><span>'.$vcmp_heading_text.'</span></h2>';				
				
				}
				
			} // #ANIMATION
			return $return;
    } 
}
new vcmp_heading_function();
?>