<?php
/*
File: icon.php
Description: Function icon
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_icon_function extends vcmegapack_icon_class {
public function vcmegapack_icon_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_icon" => 'adtheme-icon-home', 
				"vcmp_size" => '15',
				"vcmp_icon_float" => 'left',
				"vcmp_icon_align" => 'vcmp-icon-align-center',
				"vcmp_icon_color" => '#000FFF',
				"vcmp_icon_over_color" => '#000FFF',  
				"vcmp_margin" => '20px', 
				"vcmp_padding" => '20px',
				"vcmp_link" => 'off',
				"vcmp_link_url" => '',
				"vcmp_target" => '_self', 
				"vcmp_background_active" => 'off',
				"vcmp_background_color" => '#FC615D',
				"vcmp_background_type" => 'square',
				"vcmp_border_active" => 'off',
				"vcmp_border_color" => '#FC615D',
				"vcmp_border_width" => '',
				"vcmp_border_style" => 'solid',
				"vcmp_background_border_type" => 'square', 
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmp-normalize' );
	wp_enqueue_style( 'vcmp-animations' );
	wp_enqueue_style( 'vcmp-fonts' );
	wp_enqueue_script( 'vcmp-appear-js' );
	wp_enqueue_script( 'vcmp-animate-js' );	
	wp_enqueue_style( 'vcmp-icon' );
	
	$return = '';
	
	if($vcmp_background_active == 'on' || $vcmp_border_active == 'on') {
	
		$return .= '<style type="text/css">';
	
			if($vcmp_background_active == 'on') {		
				$return .= '.adtheme-icon-'.$instance.' i {
						background:'.$vcmp_background_color.';
				}';
				if($vcmp_background_type == 'round') {
					$return .= '.adtheme-icon-'.$instance.' i {
							border-radius:50%;
					}';
				}
			}
			if($vcmp_border_active == 'on') {
					$return .= 	'.adtheme-icon-'.$instance.' i {
							border:'.$vcmp_border_width.' '.$vcmp_border_style.' '.$vcmp_border_color.';
					}';
					$return .= 	'.adtheme-icon-'.$instance.' i:hover {
							border:'.$vcmp_border_width.' '.$vcmp_border_style.' '.$vcmp_icon_over_color.';
					}';					
				if($vcmp_background_border_type == 'round') {
					$return .= '.adtheme-icon-'.$instance.' i {
							border-radius:50%;
					}
					';
				}	
			}
	
		$return .= '</style>';
	
	}
		if($vcmp_animate == 'on') {
			$return .= '<span class="adtheme-icon adtheme-icon-'.$instance.' '.$vcmp_icon_align.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';			
				if($vcmp_link == 'on') {
					$return .= '<a href="'.$vcmp_link_url.'" target="'.$vcmp_target.'">';
				}
				$return	.= '<i class="'.$vcmp_icon.'" style="font-size:'.$vcmp_size.';color:'.$vcmp_icon_color.';margin:'.$vcmp_margin.';padding:'.$vcmp_padding.';display:inline-block;float:'.$vcmp_icon_float.';" onMouseOver="this.style.color=\''.$vcmp_icon_over_color.'\'" onMouseOut="this.style.color=\''.$vcmp_icon_color.'\'"></i>';
				if($vcmp_link == 'on') {
					$return .= '</a>';
				}
			$return .= '</span>';
		} else {
			$return .= '<span class="adtheme-icon adtheme-icon-'.$instance.' '.$vcmp_icon_align.'">';			
				if($vcmp_link == 'on') {
					$return .= '<a href="'.$vcmp_link_url.'" target="'.$vcmp_target.'">';
				}		
				$return	.= '<i class="'.$vcmp_icon.'" style="font-size:'.$vcmp_size.';color:'.$vcmp_icon_color.';margin:'.$vcmp_margin.';padding:'.$vcmp_padding.';display:inline-block;float:'.$vcmp_icon_float.';" onMouseOver="this.style.color=\''.$vcmp_icon_over_color.'\'" onMouseOut="this.style.color=\''.$vcmp_icon_color.'\'"></i>';
				if($vcmp_link == 'on') {
					$return .= '</a>';
				}
			$return .= '</span>';		
		}
		return $return;
    } 
}
new vcmp_icon_function();
?>