<?php
/*
File: list.php
Description: Function list
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_list_function extends vcmegapack_list_class {
public function vcmegapack_list_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_list" => 'adtheme-icon-home', 
				"vcmp_list_float" => 'none',
				"vcmp_list_link" => 'off',
				"vcmp_list_link_url" => '',
				"vcmp_list_link_target" => '_self',
				"vcmp_list_title_text" => '',
				"vcmp_list_content_text" => '',
				
				"vcmp_list_font_type" => 'vcmp-font-default',
				"vcmp_list_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',				
				"vcmp_list_font_align" => 'left',
				"vcmp_list_title_size" => '20px',								 
				"vcmp_list_title_color" => '#000FFF',
				"vcmp_list_content_size" => '15px',								 
				"vcmp_list_content_color" => '#000FFF',				
				"vcmp_list_icon_size" => '50px',
				"vcmp_list_icon_color" => '#FC615D',				
				"vcmp_list_icon_over_color" => '#000FFF', 			 
				"vcmp_list_icon_margin" => '5px', 
				"vcmp_list_icon_padding" => '5px',
  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);

	/* LOAD CSS && JS */	
	wp_enqueue_style( 'vcmp-normalize' );
	wp_enqueue_style( 'vcmp-animations' );
	wp_enqueue_style( 'vcmp-fonts' );
	wp_enqueue_script( 'vcmp-appear-js' );
	wp_enqueue_script( 'vcmp-animate-js' );	

	if($vcmp_list_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_list_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_list_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
	
		$return = '<style type="text/css">';
		if($vcmp_list_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp_list-'.$instance.' .vcmp_list_text { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
		}			
		$return .=	'.vcmp_list_title_text {
						display:block;
					}
					.vcmp_list-'.$instance.' {
						text-align:'.$vcmp_list_font_align.';
					}
					.vcmp_list-'.$instance.' .vcmp_list_text .vcmp_list_title_text {
						font-size:'.$vcmp_list_title_size.';
						color:'.$vcmp_list_title_color.';	
					}					
					.vcmp_list-'.$instance.' .vcmp_list_text .vcmp_list_content_text {
						font-size:'.$vcmp_list_content_size.';
						color:'.$vcmp_list_content_color.';	
					}';			
		$return .= '</style>';
	
		if($vcmp_animate == 'on') {
					
			$return .= '<div class="vcmp_list-'.$instance.' adtheme-icon animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';							
				if($vcmp_list_link == 'on') {
					$return .= '<a href="'.$vcmp_list_link_url.'" target="'.$vcmp_list_link_target.'">';
				}
				$return	.= '<i class="'.$vcmp_list.'" style="font-size:'.$vcmp_list_icon_size.';color:'.$vcmp_list_icon_color.';margin:'.$vcmp_list_icon_margin.';padding:'.$vcmp_list_icon_padding.';display:inline-block;float:'.$vcmp_list_float.';" onMouseOver="this.style.color=\''.$vcmp_list_icon_over_color.'\'" onMouseOut="this.style.color=\''.$vcmp_list_icon_color.'\'"></i>';
				if($vcmp_list_link == 'on') {
					$return .= '</a>';
				}			
			
			$return .= '<div class="vcmp_list_text">
							<span class="vcmp_list_title_text">'.$vcmp_list_title_text.'</span>
							<span class="vcmp_list_content_text">'.$vcmp_list_content_text.'</span>
						</div>';
			
			$return .= '</div>';
			
		} else {
			
			$return .= '<div class="vcmp_list-'.$instance.' adtheme-icon">';			
				if($vcmp_list_link == 'on') {
					$return .= '<a href="'.$vcmp_list_link_url.'" target="'.$vcmp_list_link_target.'">';
				}
				$return	.= '<i class="'.$vcmp_list.'" style="font-size:'.$vcmp_list_icon_size.';color:'.$vcmp_list_icon_color.';margin:'.$vcmp_list_icon_margin.';padding:'.$vcmp_list_icon_padding.';display:inline-block;float:'.$vcmp_list_float.';" onMouseOver="this.style.color=\''.$vcmp_list_icon_over_color.'\'" onMouseOut="this.style.color=\''.$vcmp_list_icon_color.'\'"></i>';
				if($vcmp_list_link == 'on') {
					$return .= '</a>';
				}			
			
			$return .= '<div class="vcmp_list_text">
							<span class="vcmp_list_title_text">'.$vcmp_list_title_text.'</span>
							<span class="vcmp_list_content_text">'.$vcmp_list_content_text.'</span>
						</div>';
			
			$return .= '</div>';		
		}
		return $return;
    } 
}
new vcmp_list_function();
?>