<?php
/*
File: singleimage.php
Description: Function singleimage
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_singleimage_function extends vcmegapack_singleimage_class {
public function vcmegapack_singleimage_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_singleimage_image" => '', 
				"vcmp_singleimage_link" => 'on', 
				"vcmp_singleimage_size" => 'thumbnail', 
				"vcmp_singleimage_align" => 'center',
				"vcmp_singleimage_url" => '', 
				"vcmp_singleimage_target" => '_blank',
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0'), 
				$atts)
	);
	
	$image_url = wp_get_attachment_image_src( $vcmp_singleimage_image, $vcmp_singleimage_size );
	
	$return = '<style type="text/css">
			.vcmp-image-'.$instance.' {
				text-align:'.$vcmp_singleimage_align.';
				display:block;
				margin:40px 0;
			}
			.vcmp-image-'.$instance.' img {
				max-width:100%;
				height:auto;				
			}
			</style>';
		
	if($vcmp_animate == 'on') {
		$return .= '<span class="vcmp-image vcmp-image-'.$instance.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">';
	} else {
		$return .= '<span class="vcmp-image vcmp-image-'.$instance.'">';
	}
	
	if($vcmp_singleimage_link == 'on') {
		$return .= '<a href="'.$vcmp_singleimage_url.'" target="'.$vcmp_singleimage_target.'">';
	}
	
	$return .= '<img src="'.$image_url[0].'" width="'.$image_url[1].'" height="'.$image_url[2].'">';
	
	if($vcmp_singleimage_link == 'on') {
		$return .= '</a>';         
	}
	
	$return .= '</span>';
	
	return $return;
	} 
}
new vcmp_singleimage_function();
?>