<?php
/*
File: team.php
Description: Function Team
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_team_function extends vcmegapack_team_class {
public function vcmegapack_team_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_team_type" => 'vcmp-team-grid-style1',
				"vcmp_team_columns" => '1',	
				"vcmp_team_excerpt" => 'excerpt-show',
				"vcmp_excerpt" => '200',			
				"vcmp_team_title" => 'title-show',
				"vcmp_team_subtitle" => 'subtitle-show',	
				"vcmp_team_social" => 'social-show',
				"vcmp_team_font_type" => 'vcmp-font-default',
				"vcmp_team_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_team_excerpt_size" => '',
				"vcmp_team_excerpt_color" => '#333',
				"vcmp_team_title_size" => '',
				"vcmp_team_title_color" => '#999',
				"vcmp_team_subtitle_size" => '',
				"vcmp_team_subtitle_color" => '#999',
				"vcmp_team_social_size" => '',
				"vcmp_team_social_color" => '#999',
				"vcmp_team_background_color" => '#FFF',												
				"vcmp_team_line_color" => '#999',
				"vcmp_team_carousel_item" => '1',
				"vcmp_team_carousel_navigation" => 'true',
				"vcmp_team_carousel_pagination" => 'true',
				"vcmp_team_carousel_autoplay" => '',
				"vcmp_team_carousel_item_padding" => '',  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_team_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_team_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_team_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_team_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-team-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}
			if($vcmp_team_excerpt == 'excerpt-show') {
				$return .=  '.vcmp-team-'.$instance.' .vcmp-excerpt-container p {
										font-size:'.$vcmp_team_excerpt_size.';
										color:'.$vcmp_team_excerpt_color.';
				}';
			}
			if($vcmp_team_title == 'title-show') {
				$return .=  '.vcmp-team-'.$instance.' .vcmp-title {
										font-size:'.$vcmp_team_title_size.';
										color:'.$vcmp_team_title_color.';
				}';
			}
			if($vcmp_team_subtitle == 'subtitle-show') {
				$return .=  '.vcmp-team-'.$instance.' .vcmp-subtitle {
										font-size:'.$vcmp_team_subtitle_size.';
										color:'.$vcmp_team_subtitle_color.';
				}';
			}
			if($vcmp_team_social == 'social-show') {
				$return .=  '.vcmp-team-'.$instance.' .vcmp-social-container .vcmp-social-icon a {
										font-size:'.$vcmp_team_social_size.';
										color:'.$vcmp_team_social_color.';
				}
				.vcmp-team-'.$instance.' .vcmp-social-container .vcmp-social-icon a i {
										font-size:'.$vcmp_team_social_size.';
				}				
				';
			}	
				$return .=  '.vcmp-team-'.$instance.' .vcmp-separator-team {
										background-color:'.$vcmp_team_line_color.';
				}';			
			if($vcmp_team_type == 'vcmp-team-grid-style1' || $vcmp_team_type == 'vcmp-team-carousel-style1') {					
				$return .=  '.vcmp-team-'.$instance.' .vcmp-excerpt {
										background:'.$vcmp_team_background_color.';
				}';	
			}
			if($vcmp_team_type == 'vcmp-team-grid-style2' || $vcmp_team_type == 'vcmp-team-carousel-style2') {					
				$return .=  '.vcmp-team-'.$instance.' .vcmp-item {
										background:'.$vcmp_team_background_color.';
				}';	
			}			
			if($vcmp_team_type == 'vcmp-team-carousel-style1' || $vcmp_team_type == 'vcmp-team-carousel-style2') {
				$return .= '.vcmp-team-'.$instance.' .vcmp-item	{
										padding:'.$vcmp_team_carousel_item_padding.';
				}';			
			}								
			$return .= '</style>';
			
			/* CAROUSEL SCRIPT */
			if($vcmp_team_type == 'vcmp-team-carousel-style1' || $vcmp_team_type == 'vcmp-team-carousel-style2') {
				if(empty($vcmp_team_carousel_autoplay) || $vcmp_team_carousel_autoplay == '0' || $vcmp_team_carousel_autoplay == '') {
					$vcmp_team_carousel_autoplay = 'false';
				}
			$return .= '
			<script>
			jQuery(document).ready(function($){
      			$(".vcmp-team-'.$instance.'").owlCarousel({
					items : '.$vcmp_team_carousel_item.',
					autoPlay: '.$vcmp_team_carousel_autoplay.',
					navigation: '.$vcmp_team_carousel_navigation.',
					pagination: '.$vcmp_team_carousel_pagination.',
					itemsTablet: [1025,2],
					itemsMobile: [479,1],
					navigationText: [\'<i class="adtheme-prev"></i>\',\'<i class="adtheme-next"></i>\'] 				
				});
			});
			</script>';
			}	
			/* #CAROUSEL SCRIPT */
			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );				
			wp_enqueue_style( 'vcmp-team' );			
			
			if($vcmp_team_type == 'vcmp-team-carousel-style1' || $vcmp_team_type == 'vcmp-team-carousel-style2') {
				wp_enqueue_style( 'vcmp-owl-carousel' );
				wp_enqueue_style( 'vcmp-owl-theme' );
				wp_enqueue_script( 'vcmp-owl-carousel-js' );
			}
			
			
			
			if($vcmp_team_type == 'vcmp-team-carousel-style1' || $vcmp_team_type == 'vcmp-team-carousel-style2') {
				$return .= '<div class="'.$vcmp_team_type.' vcmp-team-'.$instance.' owl-carousel';	
			} else {
				$return .= '<div class="'.$vcmp_team_type.' vcmp-columns-'.$vcmp_team_columns.' vcmp-team-'.$instance.'';
			}
			$return .= '">';
			
			// LOOP QUERY
			$query = 'post_type=Post&posts_per_page=-1&post_status=publish&post_type=vcmegapack_team';

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();
				
				$facebook 	= get_post_meta( get_the_id(), '_facebook', true );
				$twitter 	= get_post_meta( get_the_id(), '_twitter', true );
				$googleplus = get_post_meta( get_the_id(), '_googleplus', true );
				$linkedin 	= get_post_meta( get_the_id(), '_linkedin', true );
				$dribble 	= get_post_meta( get_the_id(), '_dribble', true );
				$youtube 	= get_post_meta( get_the_id(), '_youtube', true );
				$email 		= get_post_meta( get_the_id(), '_email', true );
				$subtitle 	= get_post_meta( get_the_id(), '_subtitle', true );
				
				
				$return .= '<div class="vcmp-item';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
				$return .= '">';
				$return .= '<div class="vcmp-container-thumbs">';
				$return .= vcmegapack_thumbs('vcmegapack-rectangle');
				
				/* STYLE 1 */
				if($vcmp_team_type == 'vcmp-team-grid-style1' || $vcmp_team_type == 'vcmp-team-carousel-style1') {
					if($vcmp_team_excerpt == 'excerpt-show') {
						if(empty($vcmp_excerpt)) { $vcmp_excerpt = '200'; }
						$return .= '<div class="vcmp-excerpt"><div class="vcmp-excerpt-container"><p>'.vcmegapack_excerpt($vcmp_excerpt).'</p></div></div>';
					}
				}
				/* #STYLE 1 */
				
				$return .= '</div>';
				
				if($vcmp_team_title == 'title-show') {
					$return .= '<h3 class="vcmp-title">'.get_the_title().'</h3>';
				}
				
				if($vcmp_team_subtitle == 'subtitle-show') {
					$return .= '<span class="vcmp-subtitle">'.$subtitle.'</span>';
				}

				/* STYLE 2 */
				if($vcmp_team_type == 'vcmp-team-grid-style2' || $vcmp_team_type == 'vcmp-team-carousel-style2') {
					if($vcmp_team_excerpt == 'excerpt-show') {
						if(empty($vcmp_excerpt)) { $vcmp_excerpt = '200'; }
						$return .= '<div class="vcmp-excerpt"><div class="vcmp-excerpt-container"><p>'.vcmegapack_excerpt($vcmp_excerpt).'</p></div></div>';
					}
				}
				/* #STYLE 2 */				

				$return .= '<span class="vcmp-separator-team"></span>';
				
				/* SOCIAL SHOW/HIDDEN */
				
				if($vcmp_team_social == 'social-show') {
				
				$return .= '<div class="vcmp-social-container">';
				
					if(!empty($facebook)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="'.$facebook.'"><i class="adtheme-icon-facebook"></i></a>
										</span>'; 
					}
					if(!empty($twitter)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="'.$twitter.'"><i class="adtheme-icon-twitter2"></i></a>
										</span>'; 
					}
					if(!empty($googleplus)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="'.$googleplus.'"><i class="adtheme-icon-googleplus"></i></a>
										</span>'; 
					}
					if(!empty($linkedin)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="'.$linkedin.'"><i class="adtheme-icon-linkedin"></i></a>
										</span>'; 
					}
					if(!empty($dribble)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="'.$dribble.'"><i class="adtheme-icon-dribble"></i></a>
										</span>'; 
					}
					if(!empty($youtube)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="'.$youtube.'"><i class="adtheme-icon-youtube2"></i></a>
										</span>'; 
					}																				
					if(!empty($email)) { 
							$return .= '<span class="vcmp-social-icon">
											<a href="mailto:'.$email.'"><i class="adtheme-icon-mail"></i></a>
										</span>'; 
					}
				
				$return .= '</div>';
				
				} // #SOCIAL SHOW/HIDDEN
				
				$return .= '</div>';
			
			endwhile;
			}
			
			$return .= '</div>';
			wp_reset_query();
			return $return;
    } 
}

new vcmp_team_function();

?>