<?php
/*
File: woocarousel.php
Description: Function woocarousel
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_woocarousel_function extends vcmegapack_woocarousel_class {
public function vcmegapack_woocarousel_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_woocarousel_type" => 'vcmp-woocarousel-style1',
				"vcmp_woocarousel_source" => '',
				"vcmp_woocarousel_posts_cart" => 'cart_show',
				"vcmp_woocarousel_posts_plus" => 'plus_show',	
				"vcmp_woocarousel_link" => '',
				"vcmp_woocarousel_target_link" => '',
				"vcmp_woocarousel_images" => '',				

				"vcmp_query_source" => '',
				"vcmp_query_sticky_posts" => '',
				"vcmp_query_posts_type" => '',
				"vcmp_query_categories" => '',
				"vcmp_query_order" => 'DESC',
				"vcmp_query_orderby" => 'date',
				"vcmp_query_pagination" => '',
				"vcmp_query_pagination_type" => '',
				"vcmp_query_number" => '',
				"vcmp_query_posts_for_page" => '',

				"vcmp_woocarousel_item" => '1',
				"vcmp_woocarousel_navigation" => 'true',
				"vcmp_woocarousel_pagination" => 'true',
				"vcmp_woocarousel_autoplay" => '0',
				"vcmp_woocarousel_item_padding" => '', 
				
				"vcmp_woocarousel_font_type" => 'vcmp-font-default',
				"vcmp_woocarousel_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_woocarousel_title_fs" => '',
				"vcmp_woocarousel_background_color" => 'rgba(255,255,255,1)',
				"vcmp_woocarousel_secondary_color" => 'rgba(0,0,0,0.3)',
				"vcmp_woocarousel_font_color" => 'rgba(56,56,56,1)',
				"vcmp_woocarousel_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_woocarousel_over_color" => 'rgba(138,138,138,1)',											
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_woocarousel_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_woocarousel_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_woocarousel_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_woocarousel_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-woocarousel-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}			
			
			$return .= woocarousel_style($instance,
							$vcmp_woocarousel_item_padding, 
							$vcmp_woocarousel_type, 
							$vcmp_woocarousel_title_fs,  
							$vcmp_woocarousel_background_color, 
							$vcmp_woocarousel_secondary_color, 
							$vcmp_woocarousel_font_color, 
							$vcmp_woocarousel_a_color, 
							$vcmp_woocarousel_over_color);
							
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );	
			wp_enqueue_script( 'vcmp-magnific-popup-js' );			
			wp_enqueue_style( 'vcmp-woocarousel' );			
			wp_enqueue_style( 'vcmp-magnific-popup' );
			wp_enqueue_style( 'vcmp-owl-carousel' );
			wp_enqueue_style( 'vcmp-owl-theme' );
			wp_enqueue_script( 'vcmp-owl-carousel-js' );			

			if(empty($vcmp_woocarousel_autoplay) || $vcmp_woocarousel_autoplay == '0' || $vcmp_woocarousel_autoplay == '') {
				$vcmp_woocarousel_autoplay = 'false';
			}

			$return .= '
			<script>
			jQuery(document).ready(function($){
      			$(".vcmp-woocarousel-'.$instance.'").owlCarousel({
					items : '.$vcmp_woocarousel_item.',
					autoPlay: '.$vcmp_woocarousel_autoplay.',
					navigation: '.$vcmp_woocarousel_navigation.',
					pagination: '.$vcmp_woocarousel_pagination.',
					itemsTablet: [1025,2],
					itemsMobile: [479,1],
					navigationText: [\'<i class="adtheme-icon-arrow-left"></i>\',\'<i class="adtheme-icon-arrow-right"></i>\'] 				
				});
			});
			</script>';
					
			if($vcmp_woocarousel_link != 'custom_url') {
				$return .= "<script type=\"text/javascript\">	
								jQuery(document).ready(function($){
									$('.vcmp-woocarousel-".$instance." .vcmp-cart-image').magnificPopup({
										type: 'image',
											gallery:{
												enabled:true
											}
									});
								});
							</script>";
			}
			
			
			$return .= '<div class="vcmp-woocarousel vcmp-'.$instance.' '.$vcmp_woocarousel_type.' vcmp-woocarousel-'.$instance.' owl-carousel';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
			$return .= '">';
			
			/**************************************************/
			/****************** POSTS SOURCE ******************/
			/**************************************************/
			
			// LOOP QUERY
			$query = vcmp_query_woocommerce($vcmp_query_categories, 
											$vcmp_query_order, 
											$vcmp_query_orderby, 
											'no', 
											$vcmp_query_number, 
											$vcmp_query_posts_for_page);

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();	
				$link = get_permalink();
				$id_post = get_the_id();
				$product = new WC_Product( $id_post );
				$price = $product->regular_price;
				$price_sales = $product->sale_price;
				$symbol = get_woocommerce_currency_symbol();				
				$return .= '<div class="vcmp-item">';
				
				$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
				$return .= vcmegapack_thumbs('vcmegapack-rectangle');
				
				if($vcmp_woocarousel_type == 'vcmp-woocarousel-style4' || $vcmp_woocarousel_type == 'vcmp-woocarousel-style5') {
					if(!empty($price_sales) || $price_sales != '') {
						$return .= '<span class="vcmp-item-sale">'.__('Sale','vcmegapack').'</span>';	
					}
					
					$return .= '<h3 class="vcmp-price"><span class="vcmp-regular-price';
					
					if(!empty($price_sales) || $price_sales != '') {
						$return .= ' vcmp-line-through';	
					}
					
					$return .= '">'. $price . $symbol .'</span>';
					
					if(!empty($price_sales) || $price_sales != '') {
						$return .= '<span class="vcmp-sale-price">'. $price_sales . $symbol .'</span>';
					}
					$return .= '</h3>';
				}
				
				if($vcmp_woocarousel_type == 'vcmp-woocarousel-style2' || $vcmp_woocarousel_type == 'vcmp-woocarousel-style4' || $vcmp_woocarousel_type == 'vcmp-woocarousel-style5') {
					$return .= '<h1 class="vcmp-title">'.get_the_title().'</h1>';							
				}
				$return .= '</div>';
				if($vcmp_woocarousel_posts_cart == 'cart_show' && $vcmp_woocarousel_posts_plus == 'plus_show' && $vcmp_woocarousel_type != 'vcmp-woocarousel-style6') {
					$return .= '<div class="vcmp-image-over vcmp-both-icon">';	
				} else {
					$return .= '<div class="vcmp-image-over">';
				}
				if($vcmp_woocarousel_type == 'vcmp-woocarousel-style3') {
					$return .= '<h1 class="vcmp-title">'.get_the_title().'</h1>';							
				}
				if($vcmp_woocarousel_posts_cart == 'cart_show' && $vcmp_woocarousel_type != 'vcmp-woocarousel-style6') {			
					$return .= '<a class="add_to_cart_button product_type_simple added adtheme-icon-cart" data-product_sku="" data-product_id="'.$id_post.'" rel="nofollow" href="?add-to-cart='.$id_post.'"></a>';
				}
				if($vcmp_woocarousel_posts_plus == 'plus_show') {			
					$return .= '<a href="'.$link.'" class="adtheme-icon-plus"></a>';
				}
								
				$return .= '</div>';										
				$return .=	'</div>';
				
				if($vcmp_woocarousel_type == 'vcmp-woocarousel-style6') {
					$return .= '<h1 class="vcmp-title">'.get_the_title().'</h1>';							
				}				
														
				if($vcmp_woocarousel_type == 'vcmp-woocarousel-style5' || $vcmp_woocarousel_type == 'vcmp-woocarousel-style6') {
					$return .= '<div class="vcmp-product-excerpt">'.get_the_excerpt().'</div>';					
				}

				if($vcmp_woocarousel_type == 'vcmp-woocarousel-style6') {
					if(!empty($price_sales) || $price_sales != '') {
						$return .= '<span class="vcmp-item-sale">'.__('Sale','vcmegapack').'</span>';	
					}
					
					$return .= '<h3 class="vcmp-price"><span class="vcmp-regular-price';
					
					if(!empty($price_sales) || $price_sales != '') {
						$return .= ' vcmp-line-through';	
					}
					
					$return .= '">'. $price . $symbol .'</span>';
					
					if(!empty($price_sales) || $price_sales != '') {
						$return .= '<span class="vcmp-sale-price">'. $price_sales . $symbol .'</span>';

					}
					if($vcmp_woocarousel_posts_cart == 'cart_show' && $vcmp_woocarousel_type == 'vcmp-woocarousel-style6') {			
								$return .= '<a class="add_to_cart_button product_type_simple added adtheme-icon-cart" data-product_sku="" data-product_id="'.$id_post.'" rel="nofollow" href="?add-to-cart='.$id_post.'"></a>';
					}						
					$return .= '</h3>';										
				}
				

								
				$return .= '</div>'; // #VCMP-ITEM
			endwhile;
			} // #LOOP QUERY				
										
			$return .= '</div>';
			wp_reset_query();
			return $return;		
    } 
}
new vcmp_woocarousel_function();
?>