<?php
/*
File: wootab.php
Description: Function wootab
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_wootab_function extends vcmegapack_wootab_class {
public function vcmegapack_wootab_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_wootab_filter" => 'false',
				"vcmp_wootab_image" => 'image_show',
				"vcmp_wootab_name" => 'name_show',
				"vcmp_wootab_stars" => 'stars_show',
				"vcmp_wootab_stock" => 'stock_show',
				"vcmp_wootab_price" => 'price_show',
				"vcmp_wootab_cart" => 'cart_show',
				"vcmp_wootab_plus" => 'plus_show',				

				"vcmp_query_categories" => '',
				"vcmp_query_order" => 'DESC',
				"vcmp_query_orderby" => 'date',
				"vcmp_query_pagination" => 'yes',
				"vcmp_query_pagination_type" => 'numeric',
				"vcmp_query_number" => '',
				"vcmp_query_posts_for_page" => '',
				
				"vcmp_wootab_font_type" => 'vcmp-font-default',
				"vcmp_wootab_google_fonts" => 'font_family:Abril%20Fatface%3A400|font_style:400%20regular%3A400%3Anormal',
				"vcmp_wootab_fs" => '',
				"vcmp_wootab_background_color" => 'rgba(255,255,255,0.3)',
				"vcmp_wootab_secondary_color" => 'rgba(0,0,0,0.3)',
				"vcmp_wootab_font_color" => 'rgba(56,56,56,1)',
				"vcmp_wootab_a_color" => 'rgba(56,56,56,1)',												
				"vcmp_wootab_over_color" => 'rgba(138,138,138,1)',											
				  
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
	if($vcmp_wootab_font_type == 'vcmp-google-font') {
			/********************************************************/
			/******************** GOOGLE FONT ***********************/
			/********************************************************/
			
			$google_fonts_data = explode( '|', $vcmp_wootab_google_fonts); // SPLIT | 
			$google_fonts_data_value = explode( ':', $vcmp_wootab_google_fonts); // SPLIT :	
			$gfont_font_value = explode( '|', $google_fonts_data_value[1]); // SPLIT |
			
			$gfont_font = $gfont_font_value[0]; // VALUE FOR GET GOOGLE FONT
					
			/* FONT FAMILY */
			/* SPLIT %3 */
			$google_fonts_family_value_part1 = explode( '%3A', $gfont_font);
			/* SPLIT %2 */
			$google_fonts_family_value_part2 = explode( '%2C', $google_fonts_family_value_part1[1]);
			
			/* FONT STYLE */			
			$gfont_style = $google_fonts_data_value[2]; // GET FONT STYLE
			/* SPLIT %3 */
			$google_fonts_style_value = explode( '%3A', $gfont_style);
			
			$font_name = $google_fonts_family_value_part1[0];
			$font_name_string = explode( '%20', $google_fonts_family_value_part1[0]);
			$font_style = $google_fonts_style_value[2];
			$font_weight = $google_fonts_style_value[1];
			
			$font_name_slip = '';
			foreach($font_name_string as $name) {
				$font_name_slip .= $name . ' ';
			}
			
			/********************************************************/
			/******************** #GOOGLE FONT **********************/
			/********************************************************/
			
			wp_enqueue_style( 'vc_google_fonts_'.$instance.'', 'http://fonts.googleapis.com/css?family='.$gfont_font.'');			
	}
			
			$return = '';
			$return .= '<style type="text/css">';
			if($vcmp_wootab_font_type == 'vcmp-google-font') {
				$return .=  '.vcmp-wootab-'.$instance.' { 
										font-family:'.$font_name_slip.';
										font-style:'.$font_style.';
										font-weight:'.$font_weight.';
								  }';	
			}			
			
			$return .= wootab_style($instance,
							$vcmp_wootab_fs,  
							$vcmp_wootab_background_color, 
							$vcmp_wootab_secondary_color, 
							$vcmp_wootab_font_color, 
							$vcmp_wootab_a_color, 
							$vcmp_wootab_over_color);
						
			$return .= '</style>';
			

			
			/* LOAD CSS && JS */	
			wp_enqueue_style( 'vcmp-normalize' );
			wp_enqueue_style( 'vcmp-columns' );
			wp_enqueue_style( 'vcmp-animations' );
			wp_enqueue_style( 'vcmp-fonts' );
			wp_enqueue_script( 'vcmp-appear-js' );
			wp_enqueue_script( 'vcmp-animate-js' );				
			wp_enqueue_style( 'vcmp-wootab' );						

			if($vcmp_wootab_filter == 'true') {
				
				wp_enqueue_script( 'vcmp-filter-js' );	
				
				$return .= vcmp_filter_js($instance,'wootab');
				
				$return .= vcmp_filter_item($instance,
											'vcmp-wootab',
											'wp_custom_posts_type',
											$vcmp_query_categories,
											'product');	
			
			}				
			
			$return .= '<div class="vcmp-wootab vcmp-'.$instance.' vcmp-wootab-'.$instance.'';
				if($vcmp_animate == 'on') { // ANIMATION ON
					$return .= ' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'';
				}
				if($vcmp_wootab_filter == 'true') {
					$return .= ' vcmp-filter';	
				}				
			$return .= '">';
			
			$return .= '<div class="vcmp-item vcmp-woo-title-table">';
			$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
			
			if($vcmp_wootab_image == 'image_show') {
			$return .= '<div class="vcmp-woo-image">'.__('Image Product','vcmegapack').'</div>';
			}
			
			if($vcmp_wootab_name == 'name_show') {
			$return .= '<div class="vcmp-woo-name">'.__('Name','vcmegapack').'</div>';
			}
			
			if($vcmp_wootab_stars == 'stars_show') {
				$return .= '<div class="vcmp-woo-stars">'.__('Stars','vcmegapack').'</div>';
			}
			
			if($vcmp_wootab_stock == 'stock_show') {
				$return .= '<div class="vcmp-woo-stock">'.__('Stock','vcmegapack').'</div>';
			}
			
			if($vcmp_wootab_price == 'price_show') {
				$return .= '<div class="vcmp-woo-price">'.__('Price','vcmegapack').'</div>';
			}
			
			if($vcmp_wootab_cart == 'cart_show' && $vcmp_wootab_plus == 'plus_show') {
				$return .= '<div class="vcmp-woo-link">'.__('More Info','vcmegapack').'</div>';
			}
			
			
			$return .= '<div class="vcmp-clear"></div></div></div></div>';
			
			/**************************************************/
			/****************** POSTS SOURCE ******************/
			/**************************************************/
			
			// LOOP QUERY
			$query = vcmp_query_woocommerce($vcmp_query_categories, 
											$vcmp_query_order, 
											$vcmp_query_orderby, 
											$vcmp_query_pagination, 
											$vcmp_query_number, 
											$vcmp_query_posts_for_page);

			$loop = new WP_Query($query);	
			if($loop) { 
			while ( $loop->have_posts() ) : $loop->the_post();	
				$link = get_permalink();
				$id_post = get_the_id();
				$product = new WC_Product( $id_post );
				$price = $product->regular_price;
				$price_sales = $product->sale_price;
				$symbol = get_woocommerce_currency_symbol();
								
				if($vcmp_wootab_filter == 'true') {
					
					$return .= vcmp_filter_item_div('wp_custom_posts_type',$vcmp_query_categories,'product');
					
				} else {
				
					$return .= '<div class="vcmp-item">';
				
				}
				
				$return .= '<div class="vcmp-container-thumbs"><div class="vcmp-header-container">';
				
				// IMAGE PRODUCT
				if($vcmp_wootab_image == 'image_show') {
					$return .= '<div class="vcmp-woo-image">';
						if(!empty($price_sales) || $price_sales != '') {
							$return .= '<span class="vcmp-item-sale">'.__('Sale','vcmegapack').'</span>';	
						}				
					$return .= vcmegapack_thumbs('vcmegapack-rectangle');
					$return .= '</div>';
				}
				
				if($vcmp_wootab_name == 'name_show') {
					// WOO NAME
					$return .= '<div class="vcmp-woo-name">';
					$return .= '<a href='.$link.'>'.get_the_title().'</a>';
					$return .= $product->get_categories( ', ', '<span>' . _n( 'Category:', 'Categories:', sizeof( get_the_terms( $id_post, 'product_cat' ) ), 'vcmegapack' ) . ' ', '.</span>' );
					$return .= '</div>';
				}
				
				if($vcmp_wootab_stars == 'stars_show') {
					// WOO STARS
					$return .= '<div class="vcmp-woo-stars woocommerce">';
					$average = $product->get_average_rating();
	
					$return .= '<div class="star-rating"><span style="width:'.( ( $average / 5 ) * 100 ) . '%"><strong itemprop="ratingValue" class="rating">'.$average.'</strong> '.__( 'out of 5', 'woocommerce' ).'</span></div>';
	
					$return .= '</div>';
				}
				
				if($vcmp_wootab_stock == 'stock_show') {
					// WOO STOCK
					$return .= '<div class="vcmp-woo-stock">';
					// Availability
					$availability = $product->get_availability();
					if ($availability['availability']) :
						$return .= apply_filters( 'woocommerce_stock_html', '<p class="stock ' . esc_attr( $availability['class'] ) . '">' . esc_html( $availability['availability'] ) . '</p>', $availability['availability'] );
					else:
						$return .= __('No in stock','vcmegapack');
					endif;
					$return .= '</div>';
				}
				
				if($vcmp_wootab_price == 'price_show') {
					// WOO PRICE
					$return .= '<div class="vcmp-woo-price">';
						$return .= '<span class="vcmp-price"><span class="vcmp-regular-price';
						
						if(!empty($price_sales) || $price_sales != '') {
							$return .= ' vcmp-line-through';	
						}
						
						$return .= '">'. $price . $symbol .'</span>';
						
						if(!empty($price_sales) || $price_sales != '') {
							$return .= '<span class="vcmp-sale-price">'. $price_sales . $symbol .'</span>';
						}
						$return .= '</span>';									
					$return .= '</div>';
				}
				
				// WOO ADD TO CART - READ MORE
				$return .= '<div class="vcmp-woo-link">';
					if($vcmp_wootab_cart == 'cart_show') {			
						$return .= '<a class="add_to_cart_button product_type_simple added" data-product_sku="" data-product_id="'.$id_post.'" rel="nofollow" href="?add-to-cart='.$id_post.'">'.__('Add to Cart','vcmegapack').'</a>';
					}
					if($vcmp_wootab_plus == 'plus_show') {			
						$return .= '<a href="'.$link.'" class="plus_show">'.__('Read More','vcmegapack').'</a>';
					}								
				$return .= '</div>';
								
				$return .= '<div class="vcmp-clear"></div></div>';										
				$return .=	'</div>';											
				$return .= '</div>'; // #VCMP-ITEM
			endwhile;
			} // #LOOP QUERY				

				// PAGINATION 
				if($vcmp_query_pagination == 'yes') {
					$return .= '<div class="vcmp-clear"></div><div class="vcmp-wootab-'.$instance.' vcmp-pagination">';
					if($vcmp_query_pagination_type == 'numeric') {
						$return .= vcmp_numeric_pagination($pages = '', $range = 2,$loop);
					} else {
						$return .= get_next_posts_link( 'Older posts', $loop->max_num_pages );
						$return .= get_previous_posts_link( 'Newer posts' );				
					}
					$return .= '</div>';
				}
				// #PAGINATION
										
			$return .= '</div>';
			wp_reset_query();
			return $return;		
    } 
}
new vcmp_wootab_function();
?>