<?php
/*
File: functions.php
Description: Plugin Functions
Author: Ad-theme.com
Author URI: http://www.ad-theme.com
Compatibility: WP 3.9.x - WP 4.0.x - WP 4.1.x
*/


add_action('admin_menu', 'vcmegapack_menus');

function vcmegapack_menus() {
	
	add_menu_page('VC MEGA PACK', 'VC MEGA PACK', 'manage_options', 'vcmegapack-main-page', 'vcmegapack_main_page', plugins_url( 'vcmegapack/assets/img/main_icon.png' ));
		
}

function vcmegapack_main_page() {
	
	
	if (!current_user_can('manage_options'))  {

		wp_die( __('You do not have sufficient permissions to access this page.', 'vcmegapack') );

	}
	
	echo '<div class="vcmp_row">
			<h2 class="adsidebarpanel-title">'.__('VISUAL COMPOSER MEGA PACK SETTINGS','vcmegapack').'</h2>
		  </div>';
	
?>


<?php
	
	
	echo '<style type="text/css">
			  .vcmp_row {
					width:100%;
					padding:25px 25px 0 25px;
					box-sizing:border-box;  
			  }
			  .vcmp_addon, .vcmp_capability {
					width:50%;
					float:left;  
			  }
			  .vc_addon_title {
				display: inline-block;
				width: 95px;
			  }
			  .vc_addon_sub_title {
				display: inline-block;
			  }			  
		  </style>';
	
	if (!empty($_POST['update'])) {
	
	// Check Posted Options	
	if(empty($_POST['team_custom_type_active'])) {$team_custom_type_active = '';} else { $team_custom_type_active = $_POST['team_custom_type_active']; }
	if(empty($_POST['map_active'])) {$map_active = '';} else { $map_active = $_POST['map_active']; }
	if(empty($_POST['chart_active'])) {$chart_active = '';} else { $chart_active = $_POST['chart_active']; }
	if(empty($_POST['icon_active'])) {$icon_active = '';} else { $icon_active = $_POST['icon_active']; }
	if(empty($_POST['boxmessage_active'])) {$boxmessage_active = '';} else { $boxmessage_active = $_POST['boxmessage_active']; }
	if(empty($_POST['countdown_active'])) {$countdown_active = '';} else { $countdown_active = $_POST['countdown_active']; }
	if(empty($_POST['social_active'])) {$social_active = '';} else { $social_active = $_POST['social_active']; }
	if(empty($_POST['heading_active'])) {$heading_active = '';} else { $heading_active = $_POST['heading_active']; }
	if(empty($_POST['buttons_active'])) {$buttons_active = '';} else { $buttons_active = $_POST['buttons_active']; }
	if(empty($_POST['counter_active'])) {$counter_active = '';} else { $counter_active = $_POST['counter_active']; }
	if(empty($_POST['portfolio_active'])) {$portfolio_active = '';} else { $portfolio_active = $_POST['portfolio_active']; }
	if(empty($_POST['grid_active'])) {$grid_active = '';} else { $grid_active = $_POST['grid_active']; }
	if(empty($_POST['gallery_active'])) {$gallery_active = '';} else { $gallery_active = $_POST['gallery_active']; }
	if(empty($_POST['carousel_active'])) {$carousel_active = '';} else { $carousel_active = $_POST['carousel_active']; }
	if(empty($_POST['list_active'])) {$list_active = '';} else { $list_active = $_POST['list_active']; }
	if(empty($_POST['timeline_active'])) {$timeline_active = '';} else { $timeline_active = $_POST['timeline_active']; }
	if(empty($_POST['postlist_active'])) {$postlist_active = '';} else { $postlist_active = $_POST['postlist_active']; }
	if(empty($_POST['space_active'])) {$space_active = '';} else { $space_active = $_POST['space_active']; }
	if(empty($_POST['singleimage_active'])) {$singleimage_active = '';} else { $singleimage_active = $_POST['singleimage_active']; }
	if(empty($_POST['contactform_active'])) {$contactform_active = '';} else { $contactform_active = $_POST['contactform_active']; }
	if(empty($_POST['woocommerce_active'])) {$woocommerce_active = '';} else { $woocommerce_active = $_POST['woocommerce_active']; }
	if(empty($_POST['templates_active'])) {$templates_active = '';} else { $templates_active = $_POST['templates_active']; }
	if(empty($_POST['vcmp_extended_row_active'])) {	$vcmp_extended_row_active = '';} else { $vcmp_extended_row_active = $_POST['vcmp_extended_row_active']; }

	// Update Options
	update_option('team_custom_type_active', $team_custom_type_active );	
	update_option('map_active', $map_active );
	update_option('chart_active', $chart_active );
	update_option('icon_active', $icon_active );
	update_option('boxmessage_active', $boxmessage_active );
	update_option('countdown_active', $countdown_active );
	update_option('social_active', $social_active );
	update_option('heading_active', $heading_active );	
	update_option('buttons_active', $buttons_active );
	update_option('counter_active', $counter_active );
	update_option('portfolio_active', $portfolio_active );
	update_option('grid_active', $grid_active );
	update_option('gallery_active', $gallery_active );
	update_option('carousel_active', $carousel_active );
	update_option('list_active', $list_active );
	update_option('timeline_active', $timeline_active );
	update_option('postlist_active', $postlist_active );
	update_option('space_active', $space_active );		
	update_option('singleimage_active', $singleimage_active );
	update_option('contactform_active', $contactform_active );
	update_option('woocommerce_active', $woocommerce_active );
	update_option('templates_active', $templates_active );	
	update_option('vcmp_extended_row_active', $vcmp_extended_row_active );
		
	}
	// Check Saved Options
	
	$map_active = get_option( 'map_active', '' );
	update_option('map_active', $map_active );	

	$chart_active = get_option( 'chart_active', '' );
	update_option('chart_active', $chart_active );	

	$icon_active = get_option( 'icon_active', '' );
	update_option('icon_active', $icon_active );	

	$boxmessage_active = get_option( 'boxmessage_active', '' );
	update_option('boxmessage_active', $boxmessage_active );

	$countdown_active = get_option( 'countdown_active', '' );
	update_option('countdown_active', $countdown_active );

	$social_active = get_option( 'social_active', '' );
	update_option('social_active', $social_active );

	$heading_active = get_option( 'heading_active', '' );
	update_option('heading_active', $heading_active );

	$buttons_active = get_option( 'buttons_active', '' );
	update_option('buttons_active', $buttons_active );

	$counter_active = get_option( 'counter_active', '' );
	update_option('counter_active', $counter_active );

	$portfolio_active = get_option( 'portfolio_active', '' );
	update_option('portfolio_active', $portfolio_active );

	$grid_active = get_option( 'grid_active', '' );
	update_option('grid_active', $grid_active );

	$gallery_active = get_option( 'gallery_active', '' );
	update_option('gallery_active', $gallery_active );

	$carousel_active = get_option( 'carousel_active', '' );
	update_option('carousel_active', $carousel_active );

	$list_active = get_option( 'list_active', '' );
	update_option('list_active', $list_active );

	$timeline_active = get_option( 'timeline_active', '' );
	update_option('timeline_active', $timeline_active );

	$postlist_active = get_option( 'postlist_active', '' );
	update_option('postlist_active', $postlist_active );

	$space_active = get_option( 'space_active', '' );
	update_option('space_active', $space_active );

	$singleimage_active = get_option( 'singleimage_active', '' );
	update_option('singleimage_active', $singleimage_active );
																		
	$team_custom_type_active = get_option( 'team_custom_type_active', '' );
	update_option('team_custom_type_active', $team_custom_type_active );	

	$contactform_active = get_option( 'contactform_active', '' );
	update_option('contactform_active', $contactform_active );

	$woocommerce_active = get_option( 'woocommerce_active', '' );
	update_option('woocommerce_active', $woocommerce_active );

	$templates_active = get_option( 'templates_active', '' );
	update_option('templates_active', $templates_active );

	$vcmp_extended_row_active = get_option( 'vcmp_extended_row_active', '' );
	update_option('vcmp_extended_row_active', $vcmp_extended_row_active );
		
	// Load option fields
	echo '<form method="POST" action="'.$_SERVER['REQUEST_URI'].'">';
	?>
    
    <div class="vcmp_row">
    
        <div class="vcmp_addon">  
            <span class="vc_addon_title"><?php _e('Team: ', 'vcmegapack'); ?></span>
            <select id="team_custom_type_active" name="team_custom_type_active">
                <option value="active" <?php if ($team_custom_type_active == 'active') { echo 'selected'; } ?>>Active
                <option value="deactive" <?php if ($team_custom_type_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select>
        </div>
   
        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Map: ', 'vcmegapack'); ?></span>
            <select id="map_active" name="map_active">
            <option value="active" <?php if ($map_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($map_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>       

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Chart: ', 'vcmegapack'); ?></span>
            <select id="chart_active" name="chart_active">
            <option value="active" <?php if ($chart_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($chart_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>   

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Icon: ', 'vcmegapack'); ?></span>
            <select id="icon_active" name="icon_active">
            <option value="active" <?php if ($icon_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($icon_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div> 

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Box message: ', 'vcmegapack'); ?></span>
            <select id="boxmessage_active" name="boxmessage_active">
            <option value="active" <?php if ($boxmessage_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($boxmessage_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Countdown: ', 'vcmegapack'); ?></span>
            <select id="countdown_active" name="countdown_active">
            <option value="active" <?php if ($countdown_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($countdown_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Social: ', 'vcmegapack'); ?></span>
            <select id="social_active" name="social_active">
            <option value="active" <?php if ($social_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($social_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Heading: ', 'vcmegapack'); ?></span>
            <select id="heading_active" name="heading_active">
            <option value="active" <?php if ($heading_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($heading_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Buttons: ', 'vcmegapack'); ?></span>
            <select id="buttons_active" name="buttons_active">
            <option value="active" <?php if ($buttons_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($buttons_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Counter: ', 'vcmegapack'); ?></span>
            <select id="counter_active" name="counter_active">
            <option value="active" <?php if ($counter_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($counter_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Portfolio: ', 'vcmegapack'); ?></span>
            <select id="portfolio_active" name="portfolio_active">
            <option value="active" <?php if ($portfolio_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($portfolio_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Grid: ', 'vcmegapack'); ?></span>
            <select id="grid_active" name="grid_active">
            <option value="active" <?php if ($grid_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($grid_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Gallery: ', 'vcmegapack'); ?></span>
            <select id="gallery_active" name="gallery_active">
            <option value="active" <?php if ($gallery_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($gallery_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Carousel: ', 'vcmegapack'); ?></span>
            <select id="carousel_active" name="carousel_active">
            <option value="active" <?php if ($carousel_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($carousel_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('List: ', 'vcmegapack'); ?></span>
            <select id="list_active" name="list_active">
            <option value="active" <?php if ($list_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($list_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Timeline: ', 'vcmegapack'); ?></span>
            <select id="timeline_active" name="timeline_active">
            <option value="active" <?php if ($timeline_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($timeline_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Postlist: ', 'vcmegapack'); ?></span>
            <select id="postlist_active" name="postlist_active">
            <option value="active" <?php if ($postlist_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($postlist_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Space: ', 'vcmegapack'); ?></span>
            <select id="space_active" name="space_active">
            <option value="active" <?php if ($space_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($space_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>
        
        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Single Image: ', 'vcmegapack'); ?></span>
            <select id="singleimage_active" name="singleimage_active">
            <option value="active" <?php if ($singleimage_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($singleimage_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>        

		<?php if ( !defined( 'WPCF7_VERSION' ) ) {
				$contact_form_display = 'style="display:none;"';
		} else {
			$contact_form_display = '';
		}
		?>

        <div class="vcmp_addon" <?php echo $contact_form_display; ?>>
			<span class="vc_addon_title"><?php _e('Contact Form 7: ', 'vcmegapack'); ?></span>
            <select id="contactform_active" name="contactform_active">
            <option value="active" <?php if ($contactform_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($contactform_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div> 

		<?php if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
				$woocommerce_form_display = '';
		} else {
			$woocommerce_form_display = 'style="display:none;"';
		}
		?>

        <div class="vcmp_addon" <?php echo $woocommerce_form_display; ?>>
			<span class="vc_addon_title"><?php _e('Woocommerce: ', 'vcmegapack'); ?></span>
            <select id="woocommerce_active" name="woocommerce_active">
            <option value="active" <?php if ($woocommerce_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($woocommerce_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div> 

        <div class="vcmp_addon">
			<span class="vc_addon_title"><?php _e('Templates: ', 'vcmegapack'); ?></span>
            <select id="templates_active" name="templates_active">
            <option value="active" <?php if ($templates_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($templates_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
        </div>
        
        <div class="vcop_addon_row">
			<span class="vc_addon_title"><?php _e('Extended Row: ', 'vconepage'); ?></span>
            <select id="vcmp_extended_row_active" name="vcmp_extended_row_active">
            <option value="active" <?php if ($vcmp_extended_row_active == 'active') { echo 'selected'; } ?>>Active
            <option value="deactive" <?php if ($vcmp_extended_row_active == 'deactive') { echo 'selected'; } ?>>Deactive
            </select> 
            <p class="vc_addon_sub_title"><?php _e('(Set deactive if you have a problem with your theme layout)', 'vconepage'); ?></p>
        </div>        
		<div class="clear"></div>
    </div>
	<?php
	echo '<div class="vcmp_row"><p><input type="hidden" name="update" value="update">
	<input type="submit" value="'.__('Save Changes', 'vcmegapack').'" class="button-primary" id="submit" name="submit">
	</p>';
	echo '</form>';
	echo '</div>';
}

// POST TYPE

$team_active = get_option( 'team_custom_type_active', '' );
	
if(empty($team_active)) { $team_active = 'active'; }
if($team_active == 'active') {
	
	// Post Type Registration
	add_action( 'init', 'vcmegapack_register_posttype' );
	
	function vcmegapack_register_posttype() {
			
			$labels = array(
				'name'               => __('VC Team', 'vcmegapack'),
				'singular_name'      => __('VC Team', 'vcmegapack'),
				'add_new'            => __('Add New User Team', 'vcmegapack'),
				'add_new_item'       => __('Add New User Team', 'vcmegapack'),
				'edit_item'          => __('Edit User Team', 'vcmegapack'),
				'new_item'           => __('New User Team', 'vcmegapack'),
				'all_items'          => __('All User Team', 'vcmegapack'),
				'view_item'          => __('View User Team', 'vcmegapack'),
				'search_items'       => __('Search User Team', 'vcmegapack'),
				'not_found'          => __('No User Team found', 'vcmegapack'),
				'not_found_in_trash' => __('No User Team found in Trash', 'vcmegapack'),
				'parent_item_colon'  => '',
				'menu_name'          => __('VC Team', 'vcmegapack')
			  );
			
			  $args = array(
				'labels'             => $labels,
				'public'             => true,
				'publicly_queryable' => true,
				'show_ui'            => true,
				'show_in_menu'       => true,
				'query_var'          => true,
				'rewrite'            => array( 'slug' => 'vcmegapack_team' ),
				'capability_type'    => 'post',
				'has_archive'        => true,
				'hierarchical'       => false,
				'menu_position'      => null,		
				'menu_icon'			 => plugins_url( 'vcmegapack/assets/img/main_icon.png' ),
				'supports'           => array( 'title' , 'editor' , 'thumbnail' )
			  );
			
			  register_post_type( 'vcmegapack_team', $args );

	}

} // #TEAM ACTIVE