<?php
/*
File: contactform.php
Description: Function contactform
Plugin: VC Mega Pack
Author: Ad-theme.com
*/
class vcmp_contactform_function extends vcmegapack_contactform_class {
public function vcmegapack_contactform_function($atts)
{
	static $instance = 0;
	$instance++;
    extract(
		shortcode_atts(
			array(
				"vcmp_contactform_style" => '',
				"vcmp_contactform_shortcodes_id" => '',
				"vcmp_contactform_border_type" => 'vcmp-cf7-border-square',
				"vcmp_contactform_text_color" => '#FC615D',
				"vcmp_contactform_background_field_color" => '#FC615D',
				"vcmp_contactform_background_color" => '#FC615D',
				"vcmp_contactform_border_color" => '#FC615D',
				"vcmp_contactform_active_color" => '#FC615D',
				"vcmp_animate" => 'off',
				"vcmp_animate_effect" => 'fade-in',
				"vcmp_delay" => '0' 
				), 
				$atts)
	);
	
		wp_enqueue_style( 'vcmp-contactform' );
	
		$return = '<style type="text/css">';
		$return .= '.vcmp-cf7-'.$instance.' {
				color:'.$vcmp_contactform_text_color.'!important;
				background:'.$vcmp_contactform_background_color.';
		}
		.vcmp-cf7-'.$instance.' input,
		.vcmp-cf7-'.$instance.' textarea {
				color:'.$vcmp_contactform_text_color.'!important;
		}
		.vcmp-cf7-'.$instance.' input,
		.vcmp-cf7-'.$instance.' textarea {
			background:'.$vcmp_contactform_background_field_color.';
			border:1px solid '.$vcmp_contactform_border_color.';
		}
		.vcmp-cf7-'.$instance.' input:focus,
		.vcmp-cf7-'.$instance.' textarea:focus {
			border:1px solid '.$vcmp_contactform_active_color.';
		}		
		';
		
		
		$return .= '</style>';
	
	
		if($vcmp_animate == 'on') {
			$return .= '<div class="vcmp-contactform vcmp-cf7-'.$instance.' '.$vcmp_contactform_border_type.' '.$vcmp_contactform_style.' animate-in" data-anim-type="'.$vcmp_animate_effect.'" data-anim-delay="'.$vcmp_delay.'">'.do_shortcode('[contact-form-7 id="'.$vcmp_contactform_shortcodes_id.'"]').'</div>';
		} else {
			$return .= '<div class="vcmp-contactform vcmp-cf7-'.$instance.' '.$vcmp_contactform_border_type.' '.$vcmp_contactform_style.'">'.do_shortcode('[contact-form-7 id="'.$vcmp_contactform_shortcodes_id.'"]').'</div>';			
		}
		return $return;
	} 
}
new vcmp_contactform_function();
?>